Bug 679282 (CVE-2011-1010) - CVE-2011-1010 kernel: fs/partitions: Validate map_count in Mac partition tables
Summary: CVE-2011-1010 kernel: fs/partitions: Validate map_count in Mac partition tables
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1010
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 679283 679284 679285 679286 679287
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-22 06:40 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:42 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-26 18:01:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0429 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-12 18:19:57 UTC
Red Hat Product Errata RHSA-2011:0500 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-05-10 17:18:23 UTC
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC
Red Hat Product Errata RHSA-2011:0883 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-06-21 23:52:55 UTC

Description Eugene Teo (Security Response) 2011-02-22 06:40:26 UTC
Validate number of blocks in map and remove redundant variable.

Upstream commit:
http://git.kernel.org/linus/fa7ea87a057958a8b7926c1a60a3ca6d696328ed

Acknowledgements:

Red Hat would like to thank Timo Warns for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2011-02-23 03:02:45 UTC
Greg explained this nicely: "Incorrectly formed mac partition tables could cause bad things to happen when it was automatically scanned after plugging in a device with this type of partition table on it."

Comment 4 errata-xmlrpc 2011-04-12 18:20:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0429 https://rhn.redhat.com/errata/RHSA-2011-0429.html

Comment 5 errata-xmlrpc 2011-05-10 17:20:27 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0500 https://rhn.redhat.com/errata/RHSA-2011-0500.html

Comment 6 errata-xmlrpc 2011-05-19 11:58:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0542 https://rhn.redhat.com/errata/RHSA-2011-0542.html

Comment 7 errata-xmlrpc 2011-05-23 20:40:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0542 https://rhn.redhat.com/errata/RHSA-2011-0542.html

Comment 8 errata-xmlrpc 2011-06-21 23:53:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.0.Z - Server Only

Via RHSA-2011:0883 https://rhn.redhat.com/errata/RHSA-2011-0883.html

Comment 9 Eugene Teo (Security Response) 2011-07-19 05:34:34 UTC
Statement:

This has been addressed in Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0429.html, https://rhn.redhat.com/errata/RHSA-2011-0542.html and https://rhn.redhat.com/errata/RHSA-2011-0500.html. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates.


Note You need to log in before you can comment on or make changes to this bug.